nvme_get_log_fw_slot(2)

NAME
nvme_get_log_fw_slot - Retrieves the controller firmware log

SYNOPSIS
int nvme_get_log_fw_slot (int fd , bool rae , struct nvme_firmware_slot *fw_log );

ARGUMENTS

fd  File descriptor of nvme device

rae Retain asynchronous events

fw_log
    User address to store the log page

DESCRIPTION
This log page describes the firmware revision stored in each firmware slot supported. The firmware revision is indicated as an ASCII string. The log page also indicates the active slot number.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.